Index: /trunk/prototype/modules/calendar/js/helpers.js
===================================================================
--- /trunk/prototype/modules/calendar/js/helpers.js	(revision 5947)
+++ /trunk/prototype/modules/calendar/js/helpers.js	(revision 6044)
@@ -2283,97 +2561,99 @@
      **/
     if(!type)
-        type = $('.calendar-copy-move input[name="typeEvent"]').val();
-
-	var schedulable = DataLayer.get('schedulable', event+'');
-	
-        calendar = !!calendar ? calendar : schedulable.calendar;
+	type = $('.calendar-copy-move input[name="typeEvent"]').val();
+
+    var schedulable = DataLayer.get('schedulable', event+'');
+	
+    calendar = !!calendar ? calendar : schedulable.calendar;
         
-	if(typeof(schedulable) == "array")
-		schedulable = schedulable[0];
-	
-	//Move eventos entre agendas
-	if(parseInt(type) == 0){
-		
-		schedulable.calendar = calendar;	
-		DataLayer.put('schedulable', schedulable);
-	
-		DataLayer.commit();
-	//copia eventos entre agendas
-	}else{
-	
-		var newSchedulable = schedulable;
-	
-		delete newSchedulable.id;
-		delete newSchedulable.uid;
-		delete newSchedulable.sequence;
-		delete newSchedulable.dtstamp;
-		
-		delete schedulable.DayLigth;
-		delete schedulable.rangeStart
-		delete schedulable.rangeEnd;
-		delete schedulable.lastUpdate;
+    if(typeof(schedulable) == "array")
+	schedulable = schedulable[0];
+	
+    //Move eventos entre agendas
+    if(parseInt(type) == 0){
+		
+	schedulable.calendar = calendar;	
+	DataLayer.put('schedulable', schedulable);
+	
+	DataLayer.commit();
+    //copia eventos entre agendas
+    }else{
+	
+	var newSchedulable = schedulable;
+	
+	delete newSchedulable.id;
+	delete newSchedulable.uid;
+	delete newSchedulable.sequence;
+	delete newSchedulable.dtstamp;
+		
+	delete schedulable.DayLigth;
+	delete schedulable.rangeStart
+	delete schedulable.rangeEnd;
+	delete schedulable.lastUpdate;
                 
-                delete schedulable.calendar;
+	delete schedulable.calendar;
                 
-		if(schedulable.repeat && type == "1" ){
-                    var repeat = DataLayer.get('repeat', schedulable.repeat);
-                    delete repeat.schedulable;
-                    delete repeat.id;
-                    repeat.startTime = new Date(parseInt(repeat.startTime)).toString('yyyy-MM-dd HH:mm:00');
-                    repeat.endTime = new Date(parseInt(repeat.endTime)).toString('yyyy-MM-dd HH:mm:00');
+	if(schedulable.repeat && type == "1" ){
+	    var repeat = DataLayer.get('repeat', schedulable.repeat);
+	    delete repeat.schedulable;
+	    delete repeat.id;
+	    repeat.startTime = new Date(parseInt(repeat.startTime)).toString('yyyy-MM-dd HH:mm:00');
+	    repeat.endTime = new Date(parseInt(repeat.endTime)).toString('yyyy-MM-dd HH:mm:00');
                     
-                    var exceptions = DataLayer.get('repeatOccurrence', {filter: ['AND', ['=','repeat', schedulable.repeat], ['=','exception','1']]}, true);
-                    if(exceptions){
-                        repeat.exceptions = '';
-                        for(var i in exceptions )
-                            repeat.exceptions += exceptions[i].occurrence + ((exceptions.length -1) == parseInt(i) ? '' : ',');
+	    var exceptions = DataLayer.get('repeatOccurrence', {
+		filter: ['AND', ['=','repeat', schedulable.repeat], ['=','exception','1']]
+		}, true);
+	    if(exceptions){
+		repeat.exceptions = '';
+		for(var i in exceptions )
+		    repeat.exceptions += exceptions[i].occurrence + ((exceptions.length -1) == parseInt(i) ? '' : ',');
                             
-                    }
+	    }
                     
                     
-                    schedulable.repeat = repeat;
-                }else{
-                    if(!!idRecurrence){
-                        newSchedulable.endTime = parseInt(schedulable.occurrences[idRecurrence]) + (parseInt(newSchedulable.endTime) - parseInt(newSchedulable.startTime));
-                        newSchedulable.startTime = schedulable.occurrences[idRecurrence];
-                    }
-                    delete schedulable.repeat;
-                }
-                delete schedulable.occurrences;
+	    schedulable.repeat = repeat;
+	}else{
+	    if(!!idRecurrence){
+		newSchedulable.endTime = parseInt(schedulable.occurrences[idRecurrence]) + (parseInt(newSchedulable.endTime) - parseInt(newSchedulable.startTime));
+		newSchedulable.startTime = schedulable.occurrences[idRecurrence];
+	    }
+	    delete schedulable.repeat;
+	}
+	delete schedulable.occurrences;
                 
-		schedulable.calendar = DataLayer.copy(calendar);	
-		
-		var participants = DataLayer.copy(schedulable.participants);
-		delete schedulable.participants;
-		
-		schedulable.participants =  $.map( participants, function( attendee, i ){
-			
-			var participant = DataLayer.get('participant', attendee, false);
-			
-			if(typeof(participant) == 'array')
-                            participant = participant[0];
-	
-                        delete participant.delegatedFrom;
-			delete participant.id;
-                        delete participant.schedulable;
+	schedulable.calendar = DataLayer.copy(calendar);	
+		
+	var participants = DataLayer.copy(schedulable.participants);
+	delete schedulable.participants;
+		
+	schedulable.participants =  $.map( participants, function( attendee, i ){
+			
+	    var participant = DataLayer.get('participant', attendee, false);
+			
+	    if(typeof(participant) == 'array')
+		participant = participant[0];
+	
+	    delete participant.delegatedFrom;
+	    delete participant.id;
+	    delete participant.schedulable;
                         
-                        participant.id = DataLayer.put('participant', participant);
-			
-			return participant ;
-                });
-                //Edit ocurrence
-                if(parseInt(type) == 3){
-                    newSchedulable.endTime = !!evt.end  ? evt.end.getTime() :  ((evt.start).getTime() + 86400000);
-                    newSchedulable.startTime = evt.start.getTime(); 
+	    participant.id = DataLayer.put('participant', participant);
+			
+	    return participant ;
+	});
+	//Edit ocurrence
+	if(parseInt(type) == 3){
+	    newSchedulable.endTime = !!evt.end  ? evt.end.getTime() :  ((evt.start).getTime() + 86400000);
+	    newSchedulable.startTime = evt.start.getTime(); 
                     
-                    return newSchedulable;
-                }
-                newSchedulable.endTime = new Date(parseInt(newSchedulable.endTime) - (newSchedulable.allDay ? 86400000 : 0)).toString('yyyy-MM-dd hh:mm:00');
-                newSchedulable.startTime = new Date(parseInt(newSchedulable.startTime)).toString('yyyy-MM-dd hh:mm:00'); 
-	
-		DataLayer.put('schedulable', newSchedulable);
-
-	}
-	
-
-}
+	    return newSchedulable;
+	}
+	newSchedulable.endTime = new Date(parseInt(newSchedulable.endTime) - (newSchedulable.allDay ? 86400000 : 0)).toString('yyyy-MM-dd hh:mm:00');
+	newSchedulable.startTime = new Date(parseInt(newSchedulable.startTime)).toString('yyyy-MM-dd hh:mm:00'); 
+	
+	DataLayer.put('schedulable', newSchedulable);
+
+    }
+	
+
+}
